/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PtovtaDiversosDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaDiversos;
import com.rjconsultores.ventaboletos.service.PtovtaDiversosService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaDiversosService")
public class PtovtaDiversosServiceImpl implements PtovtaDiversosService {

    @Autowired
    private PtovtaDiversosDAO ptovtaDiversosDAO;

    public List<PtovtaDiversos> obtenerTodos() {
        return ptovtaDiversosDAO.obtenerTodos();
    }

    public PtovtaDiversos obtenerID(Integer id) {
        return ptovtaDiversosDAO.obtenerID(id);
    }

    @Transactional
    public PtovtaDiversos suscribir(PtovtaDiversos entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaDiversosDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaDiversos actualizacion(PtovtaDiversos entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaDiversosDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaDiversos entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaDiversosDAO.actualizacion(entidad);
    }

    public List<PtovtaDiversos> buscar(int id) {
        return ptovtaDiversosDAO.buscar(id);
    }

    
}
